## containerd 1.3.2

=== debian/changelog ===
containerd (1.3.2-0ubuntu1) focal; urgency=medium

  [ Tianon Gravi ]
  * Use "sed" to adjust upstream's service file ExecStart value
  * Update to 1.3.2 upstream release

  [ Michael Hudson-Doyle ]
  * d/patches/preserve-debug-info.patch: generate binaries with debug info in
    them so we still get ddebs.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 11 Feb 2020 12:29:51 +1300
