## containerd 1.3.3~ds1

=== debian/changelog ===
containerd (1.3.3~ds1-2) unstable; urgency=medium

  * Enable building btrfs plugin on mipsel.
    Issue in golang-github-containerd-btrfs-dev is fixed in 0.0~git20200117.1539353-1
  * Add bash/zsh completion script for ctr
  * Set CGO_CFLAGS and CGO_CPPFLAGS with dpkg-buildflags.
    This should fix reproducible-build, by adding one more
    -fdebug-prefix-map for source files

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 13 Feb 2020 22:37:29 +0800

containerd (1.3.3~ds1-1) unstable; urgency=medium

  * New upstream version 1.3.3~ds1
  * Backport upstream patch to fix flaky tests
  * Backport upstream patch to fix building with gccgo
  * Don't build CRI when using gccgo
  * Populate package version and revision when building
  * Unvendor sigs.k8s.io/yaml
  * Remove patches applied in new release
  * Update Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Feb 2020 17:02:22 +0800

containerd (1.3.2~ds1-3) unstable; urgency=medium

  * Update armel/armhf patch to fix failing test
  * Remove unused Depends from -dev package.
    Since the containerd/cri is removed from -dev package

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Jan 2020 16:20:14 +0800

containerd (1.3.2~ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Add containernetworking-plugins to Suggests
    containerd-cri may use cni plugins from containernetworking-plugins
  * Add default config.toml
  * Fix build on mipsel
    + Add patch to cast uint32 Rdev
    + Exclude btrfs plugin on mipsel
  * Backport upstream patch to fix i386 build
  * Exclude container-cri in -dev packages
  * Add autopkgtest-pkg-go
  * Backport upstream patch to fix armhf/armel test

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Jan 2020 01:43:35 +0800

containerd (1.3.2~ds1-1) experimental; urgency=medium

  * New upstream version 1.3.2~ds1
  * Update Excluded-Files and Build-Depends for 1.3.2 release
  * Much stricter on package version in Build-Depends
  * Update debhelper compat to 12 with new syntax
  * Update Standards-Version to 4.4.1 (no changes)
  * Update build rules for 1.3.2 release
  * Only install docs and manpage to containerd package
  * Remove unused vendor files
  * Fix build manpage in rules, need to run in Go env
  * Update package description to clarify the difference between docker.io
  * Add containerd systemd service
  * Backport upstream patch to fix test with go1.13
  * Add Rules-Requires-Root
  * Update copyright for 1.3.2 release

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 04 Jan 2020 18:11:52 +0800
