=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-containerd-btrfs-dev (>= 0.0~git20200117.1539353~),
               golang-github-containerd-cgroups-dev (>= 0.0~git20190717.c4b9ac5~),
               golang-github-containerd-console-dev,
               golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
               golang-github-containerd-fifo-dev (>= 0.0~git20190816.bda0ff6~),
               golang-github-containerd-go-cni-dev (>= 0.0~git20190904.d20b7ee~),
               golang-github-containerd-go-runc-dev (>= 0.0~git20190226.7d11b49~),
               golang-github-containerd-ttrpc-dev (>= 0.0~git20190828.92c8520~),
               golang-github-containerd-typeurl-dev,
               golang-github-containernetworking-cni-dev,
               golang-github-containernetworking-plugins-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-docker-go-events-dev,
               golang-github-docker-go-metrics-dev,
               golang-github-docker-go-units-dev,
               golang-github-docker-spdystream-dev,
               golang-github-emicklei-go-restful-dev,
               golang-github-gogo-googleapis-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-uuid-dev,
               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-imdario-mergo-dev,
               golang-go-zfs-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-runc-dev (>= 0.1.0~),
               golang-github-opencontainers-runtime-spec-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-gocapability-dev,
               golang-github-tchap-go-patricia-dev,
               golang-github-urfave-cli-dev (>= 1.22.2-4~),
               golang-github-coreos-bbolt-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
               golang-gopkg-inf.v0-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-k8s-sigs-yaml-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://containerd.io/
Vcs-Git: https://salsa.debian.org/go-team/packages/containerd.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/containerd
XS-Go-Import-Path: github.com/containerd/containerd
Testsuite: autopkgtest-pkg-go

Package: containerd
Architecture: linux-any
Breaks: docker.io (<< 1.12),
Depends: runc (>= 0.1.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: containernetworking-plugins,
Built-Using: ${misc:Built-Using},
Description: open and reliable container runtime
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package contains the binaries.
 .
 Note: docker.io package contains its own containerd binary, located at
 /usr/bin/docker-containerd. You don't need this containerd package
 if you only need to use docker.

Package: golang-github-containerd-containerd-dev
Architecture: all
Depends: golang-github-burntsushi-toml-dev,
         golang-github-containerd-btrfs-dev (>= 0.0~git20200117.1539353~),
         golang-github-containerd-cgroups-dev (>= 0.0~git20190717.c4b9ac5~),
         golang-github-containerd-console-dev,
         golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
         golang-github-containerd-fifo-dev (>= 0.0~git20190816.bda0ff6~),
         golang-github-containerd-go-runc-dev (>= 0.0~git20190226.7d11b49~),
         golang-github-containerd-ttrpc-dev (>= 0.0~git20190828.92c8520~),
         golang-github-containerd-typeurl-dev,
         golang-github-docker-go-events-dev,
         golang-github-docker-go-metrics-dev,
         golang-github-docker-go-units-dev,
         golang-github-gogo-googleapis-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-google-uuid-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-imdario-mergo-dev,
         golang-go-zfs-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-runc-dev (>= 0.1.0~),
         golang-github-opencontainers-runtime-spec-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-gocapability-dev,
         golang-github-urfave-cli-dev (>= 1.22.2~),
         golang-github-coreos-bbolt-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev,
         ${misc:Depends},
Description: open and reliable container runtime (development files)
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package provides development files.
