## containerd 1.3.3

=== debian/changelog ===
containerd (1.3.3-0ubuntu2) focal; urgency=high

  * d/p/0001-Improve-host-fallback-behaviour-in-docker-remote.patch:
    Fixes regression introduced in 1.3.3 update, LP: #1867398.

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Thu, 26 Mar 2020 21:24:48 -0300

containerd (1.3.3-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 12 Feb 2020 14:18:29 +1300
