## containerd 1.3.7

=== debian/changelog ===
containerd (1.3.7-0ubuntu3) groovy; urgency=medium

  * Build with Go 1.14 on riscv64 as 1.13 does not exist here. Adventurous
    riscv64 users can deal with any breakage :)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Oct 2020 12:14:27 +1300

containerd (1.3.7-0ubuntu2) groovy; urgency=medium

  [ Tianon Gravi ]
  * Build using Go 1.13 (per upstream)
  * Use dh-golang to generate appropriate Built-Using

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Oct 2020 10:51:47 +1300

containerd (1.3.7-0ubuntu1) groovy; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 17 Sep 2020 09:10:52 +1200

containerd (1.3.6-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * d/rules: remove vendor directory from the library package

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Sat, 11 Jul 2020 11:20:49 -0300

containerd (1.3.4-0ubuntu6) groovy; urgency=medium

  * d/control: remove the golang-race-detector-runtime build dependency as the
    package is no longer built from source with latest golang.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 16 Jun 2020 10:12:13 +0200

containerd (1.3.4-0ubuntu5) groovy; urgency=medium

  * Rename install file to match the new binary package name

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 01 Jun 2020 09:51:41 -0300

containerd (1.3.4-0ubuntu4) groovy; urgency=medium

  * d/control: rename binary package with dev files and update
    XS-Go-Import-Path. Now it is called
    golang-github-containerd-containerd-dev instead of
    golang-github-docker-containerd-dev.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 28 May 2020 17:05:30 -0300

containerd (1.3.4-0ubuntu3) groovy; urgency=medium

  * Add a patch to fix the gc/scheduler flaky test on riscv64

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 21 May 2020 18:48:48 -0300

containerd (1.3.4-0ubuntu2) groovy; urgency=medium

  * Add a patch to not use -buildmode=pie on riscv64
  * d/rules: check for DEB_BUILD_ARCH to set variables to build on riscv64

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 20 May 2020 19:19:41 -0300

containerd (1.3.4-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * d/p/0001-Improve-host-fallback-behaviour-in-docker-remote.patch: drop
    patch applied by upstream.
  * debian/control: update Vcs-{Git,Broswer} to point to the Github repository.
  * d/p/update_go.etcd.io_bbolt_to_v1.3.4.patch: update go.etcd.io/bbolt to
    version 1.3.4 to fix a FTBFS against Go 1.14.
  * d/rules: disable btrfs plugin on riscv64, it needs cgo and riscv64 doesn't
    support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 15 May 2020 10:36:37 -0300
