=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,37 @@
 export GOPATH := $(OUR_GOPATH)
 export GOCACHE := $(CURDIR)/.gocache
 
+# riscv64 doesn't support cgo
+# https://github.com/golang/go/issues/36641
+ifeq (riscv64, $(DEB_BUILD_ARCH))
+TAGS += no_btrfs
+SKIP += github.com/containerd/containerd/snapshots/btrfs
+endif
+
+# build explicitly against Go 1.13 (for now):
+#   https://github.com/containerd/containerd/issues/4509
+#   https://github.com/containerd/containerd/pull/4050
+#   https://github.com/golang/go/issues/37942
+# (containerd 1.4+ and Go 1.15+ can go back to "golang-go")
+export PATH := /usr/lib/go-1.13/bin:$(PATH)
+
+override_dh_gencontrol:
+	# use "dh_golang" to generate "misc:Built-Using" (via "go list")
+	DH_GOLANG_BUILDPKG=' \
+		-tags "$(TAGS)" \
+		github.com/containerd/containerd/cmd/containerd \
+		github.com/containerd/containerd/cmd/containerd-shim \
+		github.com/containerd/containerd/cmd/containerd-shim-runc-v1 \
+		github.com/containerd/containerd/cmd/containerd-shim-runc-v2 \
+		github.com/containerd/containerd/cmd/containerd-stress \
+		github.com/containerd/containerd/cmd/ctr \
+	' dh_golang --builddirectory='$(OUR_GOPATH:$(CURDIR)/%=%)'
+	dh_gencontrol
+
 override_dh_auto_configure:
 	# copy pristine source for "/usr/share/gocode" to get into "golang-github-containerd-containerd-dev" before we muddy it with build artifacts, etc
 	mkdir -p .pristine-source
-	tar -c --exclude=debian --exclude=.pc --exclude=.pristine-source . | tar -xC .pristine-source
+	tar -c --exclude=debian --exclude=.pc --exclude=.pristine-source --exclude=vendor . | tar -xC .pristine-source
 	# set up GOPATH symlink farm
 	mkdir -p '$(OUR_GOPATH)/src/github.com/containerd'
 	ln -sfT '$(CURDIR)' '$(OUR_GOPATH)/src/github.com/containerd/containerd'
@@ -21,11 +48,12 @@
 			LDFLAGS='' \
 			VERSION='$(shell dpkg-parsechangelog -SVersion)' \
 			REVISION='' \
+			BUILDTAGS='$(TAGS)' \
 		&& make man
 
 override_dh_auto_test:
 ifneq (arm, $(DEB_HOST_ARCH_CPU)) # skip the tests on armhf ("--- FAIL: TestParseSelector/linux (0.00s)  platforms_test.go:292: arm support not fully implemented: not implemented")
-	cd '$(OUR_GOPATH)/src/github.com/containerd/containerd' && make test
+	cd '$(OUR_GOPATH)/src/github.com/containerd/containerd' && make test SKIPTESTS='$(SKIP)'
 endif
 
 override_dh_auto_install:
