## containerd 1.4.1~ds1

=== debian/changelog ===
containerd (1.4.1~ds1-1) unstable; urgency=medium

  * New upstream version 1.4.1~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 16 Sep 2020 15:16:41 +0800

containerd (1.4.0~ds1-1) unstable; urgency=medium

  * New upstream version 1.4.0~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Aug 2020 01:27:53 +0800

containerd (1.4.0~beta2~ds1-1) experimental; urgency=medium

  [ Shengjing Zhu ]

  [ Arnaud Rebillout ]
  * Depend on gotest.tools >= 3.0.0, and remove related patch

  [ Shengjing Zhu ]
  * New upstream version 1.4.0~beta2~ds1
  * Unvendor golang-k8s-sigs-structured-merge-diff-dev
  * Unvendor golang-github-containers-ocicrypt-dev
  * Add golang-github-google-gofuzz-dev to Build-Depends
  * Add golang-github-fsnotify-fsnotify-dev to Build-Depends
  * Update Files-Excluded for 1.4.0-beta.2

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jul 2020 01:51:43 +0800

containerd (1.4.0~beta1~ds1-1) experimental; urgency=medium

  * New upstream version 1.4.0~beta1~ds1
  * Revert "Add socat to Suggests, it's used by containerd CRI plugin"
    CRI 1.4 doesn't need socat
  * Fix `go env` command without writable HOME.
    The command failed with:
    failed to initialize build cache at /sbuild-nonexistent/.cache/go-build:
    mkdir /sbuild-nonexistent: permission denied

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 29 May 2020 14:00:27 +0800

containerd (1.4.0~beta0~ds1-1) experimental; urgency=medium

  * Add socat to Suggests, it's used by containerd CRI plugin
  * Update Files-Excluded in d/copyright for 1.4 release
  * New upstream version 1.4.0~beta0~ds1
  * Update Depends for 1.4 release
    + Vendor golang-github-containerd-cgroups-dev
    + Add golang-github-coreos-go-systemd-dev,
    + Bump golang-github-gogo-googleapis-dev to 1.4.0
    + Bump golang-github-gogo-protobuf-dev to 1.3.0
    + Bump golang-github-opencontainers-go-digest-dev to 1.0.0
  * Refresh patches for 1.4 release
    - mipsel.patch
    - pr-3706.patch
    - pr-3935.patch
    - pr-3963.patch
    + 0001-disable-windows-support-in-ctr-metric.patch
    + 0002-Add-go.mod-file.patch
    + 0003-disable-runhcs-option-in-cri-config.patch
    + 0004-reduce-ocicrypt-dependency.patch
    + 0005-use-gotest.tools-v2.patch

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 May 2020 18:05:54 +0800

containerd (1.3.4~ds1-1) unstable; urgency=medium

  * New upstream version 1.3.4~ds1
  * Disable btrfs plugin on riscv64.
    As this plugin needs cgo and riscv64 doesn't support

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Apr 2020 22:52:10 +0800

containerd (1.3.3.59~ds1-1) experimental; urgency=medium

  * New upstream snapshot.
    This is latest version from branch release/1.3, which
    will become 1.3.4 soon.
  * Move cli manpages to section 8

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Apr 2020 00:51:37 +0800
