## containerd 1.4.2~ds1

=== debian/changelog ===
containerd (1.4.2~ds1-1) unstable; urgency=medium

  * Update uscan watch file version to 4
  * New upstream version 1.4.2~ds1
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 27 Nov 2020 01:45:34 +0800

containerd (1.4.1~ds1-2) unstable; urgency=medium

  * Add patch to relax structured-merge-diff version (Closes: #975636)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Nov 2020 23:06:33 +0800
