=== debian/control ===
--- 
+++ 
@@ -60,7 +60,7 @@
                golang-github-gotestyourself-gotest.tools-dev (>= 3.0.0~),
                golang-k8s-sigs-structured-merge-diff-dev,
                golang-k8s-sigs-yaml-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://containerd.io/
 Vcs-Git: https://salsa.debian.org/go-team/packages/containerd.git
