## containerd 1.4.3~ds1

=== debian/changelog ===
containerd (1.4.3~ds1-1) unstable; urgency=medium

  * New upstream version 1.4.3~ds1
    Fix CVE-2020-15257

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 01 Dec 2020 10:13:21 +0800

containerd (1.4.2~ds1-3) experimental; urgency=medium

  * Enable CRI when build with gccgo

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 29 Nov 2020 17:04:46 +0800

containerd (1.4.2~ds1-2) experimental; urgency=medium

  * Backport github.com/containerd/containerd/remotes package.
    Update to f601887a3cafeef462d72add63693d9941889bd7
    For reason in https://bugs.debian.org/974857#36

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 28 Nov 2020 00:19:03 +0800
