## containerd 1.4.12~ds1

=== debian/changelog ===
containerd (1.4.12~ds1-1~deb11u1) bullseye; urgency=medium

  * New upstream version 1.4.12~ds1
    + 1.4.12
      * Mitigate CVE-2021-41190: Handle ambiguous OCI manifest parsing
      * Update pull to try next mirror for non-404 errors
      * Update pull to handle of non-https urls in descriptors
    + 1.4.11
      * CVE-2021-41103: Fix insufficiently restricted permissions on container
        root and plugin directories
    + 1.4.10
      * Support "clone3" in default seccomp profile
      * Fix panic in metadata content writer on copy error
    + 1.4.9
      * Update pull authorization logic on redirect
      * Fix user agent used for fetching registry authentication tokens
    + 1.4.8
      * CVE-2021-32760: Archive package allows chmod of file outside of unpack
        target directory
    + 1.4.7
      * Fix invalid validation error checking
      * Fix error on image pull resume
  * Refresh patches
    + Drop CVE-2021-32760 patch
    + Drop CVE-2021-41103 patch
    + Refresh 0005-backport-github.com-containerd-containerd-remotes.patch
      with latest 1.5 release branch
  * Backport RPi1/RPi0 workaround (Closes: #998909)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 23 Nov 2021 18:42:16 +0800

containerd (1.4.5~ds1-2+deb11u1) bullseye-security; urgency=high

  * CVE-2021-41103: Insufficiently restricted permissions on container
    root and plugin directories

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 05 Oct 2021 18:45:47 +0800
