## containerd 1.4.13~ds1

=== debian/changelog ===
containerd (1.4.13~ds1-1~deb11u5) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS security team.
  * CVE-2024-40635: large UID:GID (>32bit) can overflow, runs as root
    (Closes: #1100806)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 04 May 2025 19:09:56 +0200

containerd (1.4.13~ds1-1~deb11u4) bullseye; urgency=medium

  * CVE-2023-25153: OCI image importer memory exhaustion
  * CVE-2023-25173: Supplementary groups are not set up properly

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 17 Feb 2023 23:11:26 +0800

containerd (1.4.13~ds1-1~deb11u3) bullseye; urgency=medium

  * CVE-2022-23471: CRI plugin: Fix goroutine leak during Exec

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Dec 2022 10:24:34 +0800

containerd (1.4.13~ds1-1~deb11u2) bullseye-security; urgency=high

  * CVE-2022-31030: CRI plugin: Host memory exhaustion through ExecSync
  * CVE-2022-24769: Default inheritable capabilities for linux container
    should be empty

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Jun 2022 03:07:20 +0800

containerd (1.4.13~ds1-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 1.4.13~ds1
    CVE-2022-23648: CRI plugin: insecure handling of image volumes.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Mar 2022 02:21:10 +0800
