=== debian/tests/control ===
Tests: integration
Depends: ca-certificates,
         containerd,
         lsof,
         @builddeps@,
Restrictions: allow-stderr, needs-root, needs-internet, isolation-container, flaky
