=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
 uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3%,\
 dversionmangle=s%[~+]ds\d*$%%,\
